## ros-humble-as2-state-estimator 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PROJECT_NAME as2_state_estimator)
project(${PROJECT_NAME} VERSION 1.0.0)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

# set Release as default
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# find dependencies
set(PROJECT_DEPENDENCIES
  ament_cmake
  rclcpp
  pluginlib
  as2_core
  nav_msgs
  geometry_msgs
  tf2
  tf2_ros
)

foreach(DEPENDENCY ${PROJECT_DEPENDENCIES})
  find_package(${DEPENDENCY} REQUIRED)
endforeach()

include_directories(
  include
  include/${PROJECT_NAME}
)

# Plugins
set(PLUGIN_LIST
  raw_odometry
  ground_truth
  mocap_pose
)

# Create a list of all the plugin files
foreach(PLUGINS ${PLUGIN_LIST})
  list(APPEND PLUGINS_CPP_FILES
    plugins/${PLUGINS}/src/${PLUGINS}.cpp
  )

  include_directories(
    plugins/${PLUGINS}/include
    plugins/${PLUGINS}/include/${PLUGINS}
  )
endforeach()

# Library
add_library(${PROJECT_NAME} SHARED ${PLUGINS_CPP_FILES})

target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

ament_target_dependencies(${PROJECT_NAME} ${PROJECT_DEPENDENCIES})
pluginlib_export_plugin_description_file(${PROJECT_NAME} plugins.xml)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(
  include
)
ament_export_libraries(
  ${PROJECT_NAME}
)
ament_export_targets(
  export_${PROJECT_NAME}
)

# Executable
add_executable(${PROJECT_NAME}_node src/state_estimator_node.cpp src/state_estimator.cpp)
target_include_directories(${PROJECT_NAME}_node PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

ament_target_dependencies(${PROJECT_NAME}_node ${PROJECT_DEPENDENCIES})

install(TARGETS ${PROJECT_NAME}_node
  DESTINATION lib/${PROJECT_NAME})

# For each plugin, install config files
foreach(PLUGINS ${PLUGIN_LIST})
  if(EXISTS plugins/${PLUGINS}/config)
    install(
      DIRECTORY plugins/${PLUGINS}/config
      DESTINATION share/${PROJECT_NAME}/plugins/${PLUGINS}
    )
  endif()
endforeach()

install(
  DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_clang_format REQUIRED)
  ament_cppcheck(src/ include/ tests/ plugins/)
  ament_clang_format(src/ include/ tests/ plugins/ --config ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)

  # Create a list of all the source files to be tested
  # from /plugins/plugin_name/tests/plugin_test.cpp if file exists
  foreach(PLUGINS ${PLUGIN_LIST})
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/plugins/${PLUGINS}/tests/${PLUGINS}_test.cpp)
      list(APPEND TEST_SOURCE_CPP_FILES
        plugins/${PLUGINS}/tests/${PLUGINS}_test.cpp
      )
    endif()
  endforeach()

  if(TEST_SOURCE_CPP_FILES)
    ament_add_gtest(${PROJECT_NAME}_test ${TEST_SOURCE_CPP_FILES})
    ament_target_dependencies(${PROJECT_NAME}_test ${PROJECT_DEPENDENCIES})
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-humble-as2-state-estimator (1.0.4-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-state-estimator (1.0.3-1jammy) jammy; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-state-estimator (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #279 <https://github.com/aerostack2/aerostack2/issues/279> from aerostack2/230-gps_support_for_ground_truth_plugin
    Add gps support for ground truth plugin
  * Change origin param
  * parameters added, compiling, add origin manually working
  * gps support for ground truth plugin
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-state-estimator (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-state-estimator (1.0.0-1jammy) jammy; urgency=high

  * Merge branch 'main' into trajectory_generation
  * Merge pull request #159 <https://github.com/aerostack2/aerostack2/issues/159> from aerostack2/state_estimator_plugins
    [as2_state_estimator] Change plugins names
  * Clang format
  * Chnage plugins names
  * Merge pull request #137 <https://github.com/aerostack2/aerostack2/issues/137> from aerostack2/main
    Sync branch with main
  * Merge pull request #134 <https://github.com/aerostack2/aerostack2/issues/134> from aerostack2/71-all-include-gps-translator-functions
    GPS behavior support
  * fixing gps origin earth to map tf
  * set and get origin srvs created on external_odom plugin
  * Merge pull request #114 <https://github.com/aerostack2/aerostack2/issues/114> from aerostack2/devel
    [all] Reduce packages and update names
  * Clang format fix
  * State estimator launch config file bug fix
  * Update namespace names
  * Merge pull request #119 <https://github.com/aerostack2/aerostack2/issues/119> from aerostack2/as2_state_estimator_unify
    [as2_state_estimator] As2 state estimator unify
  * Add license header
  * Unify state estimators in one package
  * Contributors: Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-state-estimator (0.2.2-1jammy) jammy; urgency=high

  * license and versions updated to v0.2.0 and BSD-3
  * CHANGELOG_GENERATED
  * Contributors: Miguel

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Wed, 21 Dec 2022 23:00:00 -0000

ros-humble-as2-state-estimator (0.2.1-1jammy) jammy; urgency=high

  * Merge pull request #79 <https://github.com/aerostack2/aerostack2/issues/79> from aerostack2/mocap_test
    [as2_state_estimator_plugin_mocap] mocap test added to gtest and alpha reduced to 0.1
  * params added to test
  * mocap test added to gtest and algha reduced to 0.1
  * Merge pull request #68 <https://github.com/aerostack2/aerostack2/issues/68> from aerostack2/state_estimator_odom_config_file
    Add config file to state estimator external odom plugin with odom topic
  * Add config file to state estimator external odom plugin with odom topic
  * Merge pull request #21 <https://github.com/aerostack2/aerostack2/issues/21> from aerostack2/launcher_update
    Update launchers
  * Update launchers
  * Merge pull request #12 <https://github.com/aerostack2/aerostack2/issues/12> from aerostack2/as2_state_estimator_launch
    [as2_state_estimator] Update parameters config file
  * Update parameters config file
  * bug fixed
  * bug fixed in ground truth plugin
  * bug fixed in external odom plugin
  * Remove basic_state_estimator
  * Names fixed
  * as2_state_estimator pluginized
  * Merge pull request #1 <https://github.com/aerostack2/aerostack2/issues/1> from aerostack2/state_estimation_pluginized
    State estimation pluginized
  * plugin base dependence added to package.xml
  * state estimation folder structured
  * basic_state_estimator external_odom uploaded
  * basic_state_estimator ground_truth_plugin uploaded
  * basic_state_estimator mocap_plugin uploaded
  * basic_state_estimator removed
  * as2_basic_state_estimator_plugin_base
  * First commit
  * Contributors: Miguel, Miguel Fernandez-Cortizas, RPS98, miferco97, pariaspe

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-state-estimator
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-as2-core, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-state-estimator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake, ros-humble-as2-core, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: Basic state estimator for AeroStack2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-state-estimator//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-as2-state-estimator 1.0.9

=== debian/changelog ===
ros-humble-as2-state-estimator (1.0.9-3bookworm) bookworm; urgency=high

  * latlon2local function fails in z coordinate, added earth_to_map_height parameter
  * raw odometry plugin should have a set gps origin
  * Contributors: Javier Melero, Javilinos, Rafael Pérez

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.8-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.7-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.6-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.5-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.4-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.3-3bookworm) bookworm; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.2-3bookworm) bookworm; urgency=high

  * Merge pull request #279 <https://github.com/aerostack2/aerostack2/issues/279> from aerostack2/230-gps_support_for_ground_truth_plugin
    Add gps support for ground truth plugin
  * Change origin param
  * parameters added, compiling, add origin manually working
  * gps support for ground truth plugin
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.1-3bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.0-3bookworm) bookworm; urgency=high

  * Merge branch 'main' into trajectory_generation
  * Merge pull request #159 <https://github.com/aerostack2/aerostack2/issues/159> from aerostack2/state_estimator_plugins
    [as2_state_estimator] Change plugins names
  * Clang format
  * Chnage plugins names
  * Merge pull request #137 <https://github.com/aerostack2/aerostack2/issues/137> from aerostack2/main
    Sync branch with main
  * Merge pull request #134 <https://github.com/aerostack2/aerostack2/issues/134> from aerostack2/71-all-include-gps-translator-functions
    GPS behavior support
  * fixing gps origin earth to map tf
  * set and get origin srvs created on external_odom plugin
  * Merge pull request #114 <https://github.com/aerostack2/aerostack2/issues/114> from aerostack2/devel
    [all] Reduce packages and update names
  * Clang format fix
  * State estimator launch config file bug fix
  * Update namespace names
  * Merge pull request #119 <https://github.com/aerostack2/aerostack2/issues/119> from aerostack2/as2_state_estimator_unify
    [as2_state_estimator] As2 state estimator unify
  * Add license header
  * Unify state estimators in one package
  * Contributors: Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-as2-state-estimator (0.2.2-3bookworm) bookworm; urgency=high

  * license and versions updated to v0.2.0 and BSD-3
  * CHANGELOG_GENERATED
  * Contributors: Miguel

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 21 Dec 2022 16:00:00 -0000

ros-humble-as2-state-estimator (0.2.1-3bookworm) bookworm; urgency=high

  * Merge pull request #79 <https://github.com/aerostack2/aerostack2/issues/79> from aerostack2/mocap_test
    [as2_state_estimator_plugin_mocap] mocap test added to gtest and alpha reduced to 0.1
  * params added to test
  * mocap test added to gtest and algha reduced to 0.1
  * Merge pull request #68 <https://github.com/aerostack2/aerostack2/issues/68> from aerostack2/state_estimator_odom_config_file
    Add config file to state estimator external odom plugin with odom topic
  * Add config file to state estimator external odom plugin with odom topic
  * Merge pull request #21 <https://github.com/aerostack2/aerostack2/issues/21> from aerostack2/launcher_update
    Update launchers
  * Update launchers
  * Merge pull request #12 <https://github.com/aerostack2/aerostack2/issues/12> from aerostack2/as2_state_estimator_launch
    [as2_state_estimator] Update parameters config file
  * Update parameters config file
  * bug fixed
  * bug fixed in ground truth plugin
  * bug fixed in external odom plugin
  * Remove basic_state_estimator
  * Names fixed
  * as2_state_estimator pluginized
  * Merge pull request #1 <https://github.com/aerostack2/aerostack2/issues/1> from aerostack2/state_estimation_pluginized
    State estimation pluginized
  * plugin base dependence added to package.xml
  * state estimation folder structured
  * basic_state_estimator external_odom uploaded
  * basic_state_estimator ground_truth_plugin uploaded
  * basic_state_estimator mocap_plugin uploaded
  * basic_state_estimator removed
  * as2_basic_state_estimator_plugin_base
  * First commit


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-state-estimator//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-state-estimator//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-as2-state-estimator//opt/ros/humble/opt/as2_state_estimator/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
